<!doctype html>

{% load static %}

<html lang="en" xmlns="http://www.w3.org/1999/html">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap" rel="stylesheet">
    <script src="{% static 'js/shared.js' %}" defer></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'css/shared.css' %}">
    <link rel="shortcut icon" href="{% static 'favicon.ico' %}">
    {% block meta %}
    <title>Delvin</title>
    {% endblock %}
</head>

<body data-port="{{ port_number }}">
<main role="main">
    {% csrf_token %}
    <div class="navbar">
        <div class="nav-bar-list">
            <ul>
                <li><a href="{% url 'index-page' %}">Home</a></li>
                <li><a href="{% url 'register' %}">Register</a></li>
                <li><a href="{% url 'login' %}">Login</a></li>
                {% if user.is_staff %}
                <li><a href="{% url 'active_user' %}">Active Users</a></li>
                <li><a href="{% url 'user_lifetime' %}">User Lifetime</a></li>
                <li><a href="{% url 'user_engagement' %}">User Engagement</a></li>
                <li><a href="{% url 'question_answer' %}">Question Answer</a></li>
                {% endif %}
                {% if user.is_authenticated %}
                <li><a href="{% url 'profile' %}">Profile</a></li>
                <li><a href="{% url 'logout' %}">Logout</a></li>
                <li><a href="{% url 'password_reset' %}">Password reset</a></li>
                {% endif %}
            </ul>
        </div>
        <div class="nav-btn">
            <button id="open_close_navbar"><img id="nav_bar_three_lines"
                                                src="{{ BASE_DIR }}/static/images/nav_bar_three_lines.png" alt="">
            </button>
        </div>
    </div>

    <div class="content">
        {% block content %}{% endblock %}
    </div>

</main>
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
<div id="tangibleai">
    <h5>&#169 Powered by Tangible AI</h5>
</div>
</body>
</html>
